% Load Market data & Model information from excel file

% Load Excel File
ZeroCurve_KRW = xlsread('MktDataInfo',1);
ZeroCurve_USD = xlsread('MktDataInfo',2);
HWVol_KRW = xlsread('MktDataInfo',3);
HWVol_USD = xlsread('MktDataInfo',4);

% Zero Curve Arys
TdysZC_KRW = ZeroCurve_KRW(:,1);
TyrsZC_KRW = TdysZC_KRW/365;
RatesZC_KRW = ZeroCurve_KRW(:,2)/100;
TdysZC_USD = ZeroCurve_USD(:,1);
TyrsZC_USD = TdysZC_USD/365;
RatesZC_USD = ZeroCurve_USD(:,2)/100;

% HW Vol Arys
TdysHW_KRW = HWVol_KRW(:,1);
HWVols_KRW = HWVol_KRW(:,2)/100;
TdysHW_USD = HWVol_USD(:,1);
HWVols_USD = HWVol_USD(:,2)/100;

% FX Vol
FXVol_KRWUSD = 30/100;

% Correlations
rho = 0.6; % Correlation between KRW Short Rate and USD Short Rate
c = 0;   % Correlation between USD Short Rate and FX Rate(KRW/USD)

% Mean Reversion
a = 2.00/100;   % KRW MR
b = 4.00/100;   % USD MR